lev.gui

## Class LHelpPanel

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - javax.swing.JComponent
      - - javax.swing.JPanel
        - - lev.gui.LPanel
          - - lev.gui.LHelpPanel

- All Implemented Interfaces:
    java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible, javax.swing.Scrollable

      public class LHelpPanel
      extends LPanel

  A panel that displays help information.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class lev.gui.LPanel

      `LPanel.Align`

    - ### Nested classes/interfaces inherited from class javax.swing.JPanel

      `javax.swing.JPanel.AccessibleJPanel`

    - ### Nested classes/interfaces inherited from class javax.swing.JComponent

      `javax.swing.JComponent.AccessibleJComponent`

    - ### Nested classes/interfaces inherited from class java.awt.Container

      `java.awt.Container.AccessibleAWTContainer`

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.awt.Image` | `arrow`
    `protected int` | `arrowx`
    `protected LPanel` | `bottomArea`
    `protected boolean` | `following`
    `protected LTextPane` | `help`
    `protected boolean` | `hideArrow`
    `protected LLabel` | `setting`
    `protected int` | `textOffset`
    `protected boolean` | `textVisible`
    `protected int` | `y`

    - ### Fields inherited from class lev.gui.LPanel

      `align, last, spacing`

    - ### Fields inherited from class javax.swing.JComponent

      `accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

    - ### Fields inherited from class java.awt.Component

      `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LHelpPanel(java.awt.Rectangle bounds, java.awt.Font titleFont, java.awt.Color titleC, java.awt.Color contentC, java.awt.Image arrow, int arrowX)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addContent(java.lang.String text)` Appends text to the content string.
    `void` | `addToBottomArea(java.awt.Component c)` Adds a component to the separate bottom area panel.
    `void` | `clearBottomArea()` Clears the bottom panel of the help area.
    `void` | `focusOn(java.awt.Component c, int offset)` Makes help section move to point at desired Component with a y offset.
    `java.awt.Dimension` | `getBottomSize()`
    `void` | `hideArrow()`
    `void` | `paintComponent(java.awt.Graphics g)`
    `void` | `repaint()`
    `void` | `reset()` Hides the help panel and resets it for next time.
    `void` | `revalidate()`
    `void` | `setBottomAreaHeight(int y)`
    `void` | `setBottomAreaVisible(boolean on)`
    `void` | `setContent(java.lang.String text)`
    `void` | `setDefaultPos()` Moves the help section back to its default position.
    `void` | `setDefaultY(int y)`
    `void` | `setHeaderColor(java.awt.Color c)`
    `void` | `setHeaderFont(java.awt.Font f)`
    `void` | `setTitle(java.lang.String title_)`
    `void` | `setTitleOffset(int y)`
    `void` | `setXOffsets(int title, int helpText)` Sets the X offset for the title and the help text.
    `void` | `setY(int y_)`
    `void` | `textVisible(java.lang.Boolean b)`

    - ### Methods inherited from class lev.gui.LPanel

      `Add, align, getPreferredScrollableViewportSize, getScrollableBlockIncrement, getScrollableTracksViewportHeight, getScrollableTracksViewportWidth, getScrollableUnitIncrement, makeAlphaComposite, placeAdd, remeasure, setPlacement, setPlacement, updateLast`

    - ### Methods inherited from class javax.swing.JPanel

      `getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

    - ### Methods inherited from class javax.swing.JComponent

      `addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingOrigin, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate, validateTree`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### setting

          protected LLabel setting

    - #### help

          protected LTextPane help

    - #### arrow

          protected java.awt.Image arrow

    - #### arrowx

          protected int arrowx

    - #### y

          protected int y

    - #### textOffset

          protected int textOffset

    - #### bottomArea

          protected LPanel bottomArea

    - #### textVisible

          protected boolean textVisible

    - #### hideArrow

          protected boolean hideArrow

    - #### following

          protected boolean following

  - ### Constructor Detail

    - #### LHelpPanel

          public LHelpPanel(java.awt.Rectangle bounds,
                    java.awt.Font titleFont,
                    java.awt.Color titleC,
                    java.awt.Color contentC,
                    java.awt.Image arrow,
                    int arrowX)

      Parameters:
        `bounds` -
        `titleFont` -
        `titleC` -
        `contentC` -
        `arrow` -
        `arrowX` -

  - ### Method Detail

    - #### revalidate

          public void revalidate()

      Overrides:
        `revalidate` in class `javax.swing.JComponent`

    - #### repaint

          public void repaint()

      Overrides:
        `repaint` in class `java.awt.Component`

    - #### paintComponent

          public void paintComponent(java.awt.Graphics g)

      Overrides:
        `paintComponent` in class `javax.swing.JComponent`

    - #### setHeaderColor

          public void setHeaderColor(java.awt.Color c)

      Parameters:
        `c` -

    - #### setHeaderFont

          public void setHeaderFont(java.awt.Font f)

      Parameters:
        `f` -

    - #### setDefaultY

          public void setDefaultY(int y)

      Parameters:
        `y` -

    - #### setTitle

          public void setTitle(java.lang.String title_)

      Parameters:
        `title_` -

    - #### setTitleOffset

          public void setTitleOffset(int y)

      Parameters:
        `y` -

    - #### setXOffsets

          public void setXOffsets(int title,
                         int helpText)

      Sets the X offset for the title and the help text.
      Parameters:
        `title` -
        `helpText` -

    - #### setY

          public void setY(int y_)

      Parameters:
        `y_` -

    - #### focusOn

          public void focusOn(java.awt.Component c,
                     int offset)

      Makes help section move to point at desired Component with a y offset.
      Parameters:
        `c` -
        `offset` -

    - #### setDefaultPos

          public void setDefaultPos()

      Moves the help section back to its default position.

    - #### setContent

          public void setContent(java.lang.String text)

      Parameters:
        `text` -

    - #### addContent

          public void addContent(java.lang.String text)

      Appends text to the content string.
      Parameters:
        `text` -

    - #### clearBottomArea

          public void clearBottomArea()

      Clears the bottom panel of the help area.

    - #### addToBottomArea

          public void addToBottomArea(java.awt.Component c)

      Adds a component to the separate bottom area panel.
      Parameters:
        `c` -

    - #### setBottomAreaHeight

          public void setBottomAreaHeight(int y)

      Parameters:
        `y` -

    - #### setBottomAreaVisible

          public void setBottomAreaVisible(boolean on)

      Parameters:
        `on` -

    - #### textVisible

          public void textVisible(java.lang.Boolean b)

      Parameters:
        `b` -

    - #### hideArrow

          public void hideArrow()

    - #### getBottomSize

          public java.awt.Dimension getBottomSize()

      Returns:

    - #### reset

          public void reset()

      Hides the help panel and resets it for next time.